classification
Title: Argument Clinic HOWTO listed multiple times in HOWTO index
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: brett.cannon, ezio.melotti, larry, python-dev, zormit
Priority: normal Keywords: patch

Created on 2014-01-22 16:39 by brett.cannon, last changed 2014-01-27 13:37 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
Doc-clinic.rst.patch zormit, 2014-01-22 18:15 review
Messages (6)
msg208824 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-01-22 16:39
http://docs.python.org/3.4/howto/

Seems several sections are listed on their own in the index.
msg208836 - (view) Author: Moritz Neeb (zormit) * Date: 2014-01-22 18:15
Here's a patch that changes the headings in clinic.rst, such that only the first appears in the HOWTO listing. I also adapted the first according to the convention in http://docs.python.org/devguide/documenting.html#sections
msg209186 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-25 10:45
You should only put one line of equals signs?  I'll try to remember that in the future.  LGTM.  Shall I commit it?
msg209204 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-25 15:28
New changeset 1eec62cf3675 by Ezio Melotti in branch 'default':
#20348: fix headers markup in Argument Clinic howto.  Patch by Moritz Neeb.
http://hg.python.org/cpython/rev/1eec62cf3675
msg209206 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-01-25 15:29
Fixed, thanks for the patch!
msg209441 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-01-27 13:37
Technically you should only have one title at the very top of the heading hierarchy. That's why the patch changed the title to use top+bottom asterisks. You could have just as easily used equal signs as reST doesn't care, just that you are consistent.
History
Date User Action Args
2014-01-27 13:37:25brett.cannonsetmessages: + msg209441
2014-01-25 15:29:04ezio.melottisetstatus: open -> closed

type: enhancement
assignee: larry -> ezio.melotti

nosy: + ezio.melotti
messages: + msg209206
resolution: fixed
stage: resolved
2014-01-25 15:28:28python-devsetnosy: + python-dev
messages: + msg209204
2014-01-25 10:45:10larrysetmessages: + msg209186
2014-01-22 18:15:29zormitsetfiles: + Doc-clinic.rst.patch

nosy: + zormit
messages: + msg208836

keywords: + patch
2014-01-22 16:39:07brett.cannoncreate